package cn.superdesk.uniorder.dao.mapper.unified.settlement;

import cn.superdesk.uniorder.dao.entity.unified.settlement.UnifiedSettlementProgrammeAmountRule;
import cn.superdesk.uniorder.dao.entity.unified.settlement.UnifiedSettlementProgrammeAmountRuleExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UnifiedSettlementProgrammeAmountRuleMapper {
    long countByExample(UnifiedSettlementProgrammeAmountRuleExample example);

    int deleteByExample(UnifiedSettlementProgrammeAmountRuleExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedSettlementProgrammeAmountRule record);

    int insertSelective(UnifiedSettlementProgrammeAmountRule record);

    List<UnifiedSettlementProgrammeAmountRule> selectByExample(UnifiedSettlementProgrammeAmountRuleExample example);

    UnifiedSettlementProgrammeAmountRule selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedSettlementProgrammeAmountRule record, @Param("example") UnifiedSettlementProgrammeAmountRuleExample example);

    int updateByExample(@Param("record") UnifiedSettlementProgrammeAmountRule record, @Param("example") UnifiedSettlementProgrammeAmountRuleExample example);

    int updateByPrimaryKeySelective(UnifiedSettlementProgrammeAmountRule record);

    int updateByPrimaryKey(UnifiedSettlementProgrammeAmountRule record);
}